[tool.poetry]
name = "diffvg"
version = "0.1.0"
description = ""
authors = ["Marco Lee <marco@goodnotesapp.com>"]

[tool.poetry.dependencies]
python = ">=3.9,<3.11"
pygame = "^2.0.1"
torch = "^2.0.1"
ipython = "^8.13.2"
pytest-metadata = "^2.0.4"

[tool.poetry.dev-dependencies]
torch = "^2.0.0"
torchvision = "^0.15.0"
numpy = "^1.20.2"
scikit-image = "^0.19.3"
svgwrite = "^1.4.1"
svgpathtools = "^1.4.1"
cssutils = "^2.2.0"
numba = "^0.55.2"
torch-tools = "^0.1.5"
visdom = "^0.1.8"
cmake = "^3.18.4"

[build-system]
requires = ["poetry-core>=1.0.0a5"]
build-backend = "poetry.core.masonry.api"
